LUCPrimeSelector Class Reference
Inheritance diagram for LUCPrimeSelector:

## Public Member Functions

| LUCPrimeSelector (const Integer &e)
bool | IsAcceptable (const Integer &candidate) const
Public Member Functions inherited from PrimeSelector
const PrimeSelector * | GetSelectorPointer () const

## Public Attributes

Integer | m_e

## Detailed Description

Definition at line 103 of file luc.cpp.

## Constructor & Destructor Documentation

## LUCPrimeSelector()

LUCPrimeSelector::LUCPrimeSelector | ( | const Integer & | e | ) |

inline

Definition at line 106 of file luc.cpp.

## Member Function Documentation

## IsAcceptable()

bool LUCPrimeSelector::IsAcceptable | ( | const Integer & | candidate | ) | const

inline virtual

Implements PrimeSelector.

Definition at line 107 of file luc.cpp.

## Member Data Documentation

## m_e

Integer LUCPrimeSelector::m_e

Definition at line 111 of file luc.cpp.

The documentation for this class was generated from the following file:

- luc.cpp